using System;
using System.Web;
using System.Web.Services;
namespace Stat.web
{
    /// <summary>
    /// $codebehindclassname$ 的摘要说明
    /// </summary>
    [WebService(Namespace = "http://tempuri.org/")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    public class Count : IHttpHandler
    {
        /// <summary>
        /// 
        /// </summary>
        /// <param name="context"></param>
        public void ProcessRequest(HttpContext context)
        {
            context.Response.ContentType = "text/plain";
            string strWebid =HttpContext.Current.Request["wid"];
            if (strWebid == null || strWebid.Length == 0) { return; }
            //
            int webid = 0;
            try
            {
                webid = Convert.ToInt32(strWebid);
            }
            catch
            {
                BLL.Log.InsertUpdateDelete(new Model.Log("Insert", "Stat_Js_ERR", "WebID：" + strWebid + "：", 3));
                return;
            }
            //
            BLL.GetStat.Get(webid);
        }
        /// <summary>
        /// 
        /// </summary>
        public bool IsReusable
        {
            get
            {
                return false;
            }
        }
    }
}
